addpath('dataset/images');
for i=1:2000

s=num2str(i);
ss=strcat(s,'.jpg');
im=imread(ss);



% Parameters:
clear param
param.imageSize = [256 256]; % it works also with non-square images
param.orientationsPerScale = [8 8 8 8];
param.numberBlocks = 4;
param.fc_prefilt = 4;

% Computing gist requires 1) prefilter image, 2) filter image and collect
% output energies
[gist, param] = LMgist(im, '', param);

rh=rgb(im); % rgb histogram for the image

gistrgb(i,:)=horzcat(gist,rh); % concatenate gist and rgb histogram
end
hh=gistrgb;
save('gistrgb.mat','hh');
