function hist = rgb(im)

im = double(im);

if( size(im,3)==1 )
	temp = im;
	im = [];
	im(:,:,1) = temp;
	im(:,:,2) = temp;
	im(:,:,3) = temp;
end;

if( max(max(max(im)))>1 )
	im = im/255;
end;

numOfRows = size(im,1);
numOfCols = size(im,2);

hist = zeros(1,30);
for i = 1:numOfRows
	for j = 1:numOfCols
%         i
%         j
		rbin = ceil(im(i,j,1)*10);
		gbin = ceil(im(i,j,2)*10) + 10;
		bbin = ceil(im(i,j,3)*10) + 20;
        if rbin==0
            rbin=1;
        end
		hist(rbin) = hist(rbin) + 1;
		hist(gbin) = hist(gbin) + 1;
		hist(bbin) = hist(bbin) + 1;
	end;
end;

hist = hist/sum(hist);


