
function createVocab(part)
% collect features from each part to create vocab.

binSize = 4;
magnif = 3;

tic,
disp('Extract features.');
count = 0;
dir1='~/cut/cropnewparts/';
dir2=strcat(dir1,num2str(part));
dir3=strcat(dir2,'/');
dir=dir3;

  perm1=randperm(1000,1000);
indx3=1;
%   im = imread([imgDir imgName]);
   for j=1:200
       i=perm1(j);
       
       name=strcat(dir,num2str(i));
       imgName=strcat(name,'.jpg');
       c=imgName;
       b=exist(c,'file');
       if b==2
       im = imread(imgName);
		if( size(im,3)>1 )
			im = rgb2gray(im);
		end;
		if( size(im,1)>300 )
			im = imresize(im,[300 NaN]);
		end;
		if( size(im,2)>300 )
			im = imresize(im,[NaN 300]);
		end;

		im = single(im);
		imSmooth = vl_imsmooth(im,sqrt((binSize/magnif)^2-0.25));
		[f,d] = vl_dsift(imSmooth,'size',binSize);
		d = d';
        size(d,1)
		
		count = count + 1;
		indx1 = indx3;
		indx2 = indx1+size(d,1)-1;
		
        
		ftrs(indx1:indx2,:) = d;
      
      indx3=indx2+1;
     
		disp(num2str(count));


       end
   end


toc;
load('features.mat');
% ftrs=f;
ftrs=single(ftrs);
a=randi(size(ftrs,1),[1 6000]);
% for i=1:6000
%     fnew(i,:)=ftrs(a(i),:);
% end
fnew=ftrs(a,:);
f=vertcat(f,fnew);

save('features.mat','f');

