function [w,hb,Om]=calculate_weight_withoutSC(att)
% calculate weight vector with ranking svm without use of significance
% coefficients.

clear h;
load('hist_horz_withoutNaN.mat'); % with no NaN values.features vector of all images horz concat parts.
hb=hh;
clear hh;

load('hist_horz_withNaN.mat');  % with NaN values. features vector of all images horz concat parts.
hm=hh;
clear hh;
load('mulmat.mat');  

parts=83;
 ssd=ones(parts,1);
disp('completed');

% calculate order and similarity matrix
[order,sim]=generate_order(att);

% remove the features which have NaN values.
c=1;
for i=1:size(order,1)
   if  ~isnan( hm(find(order(i,:)==1),:)) & ~isnan(hm(find(order(i,:)==-1),:))
    o(c,:)=order(i,:);
    c=c+1;
   end
end
c=1;
for i=1:size(sim,1)
   if  ~isnan( hm(find(sim(i,:)==1),:)) & ~isnan(hm(find(sim(i,:)==-1),:))
    si(c,:)=sim(i,:);
    c=c+1;
   end
end

clear order;
clear sim;
% c values for svm for cross validation.
s=[0.1 0.2 0.5 1 2 4 8  64 128 256 512 1000];

% cross validation code.
Om=o;
Sm=si;

t_all=size(Om,1)-rem(size(Om,1),5);
t_all2=size(Sm,1)-rem(size(Sm,1),5);

t1=1:t_all/5; t2=(t_all/5)+1:(t_all*2)/5; t3=((t_all*2)/5)+1:(t_all*3)/5; t4=((t_all*3)/5)+1:(t_all*4)/5; t5=((t_all*4)/5)+1:t_all;
 sb(1,:)=[t1,t2,t3,t4]; sd(1,:)=[t5];
 sb(2,:)=[t1,t2,t4,t5]; sd(2,:)=[t3];
 sb(3,:)=[t1,t5,t3,t4]; sd(3,:)=[t2];
 sb(4,:)=[t1,t2,t3,t5]; sd(4,:)=[t4];
 sb(5,:)=[t2,t3,t4,t5]; sd(5,:)=[t1];
 
 
 t1=1:t_all2/5; t2=(t_all2/5)+1:(t_all2*2)/5; t3=((t_all2*2)/5)+1:(t_all2*3)/5; t4=((t_all2*3)/5)+1:(t_all2*4)/5; t5=((t_all2*4)/5)+1:t_all2;
 sbs(1,:)=[t1,t2,t3,t4]; sds(1,:)=[t5];
 sbs(2,:)=[t1,t2,t4,t5]; sds(2,:)=[t3];
 sbs(3,:)=[t1,t5,t3,t4]; sds(3,:)=[t2];
 sbs(4,:)=[t1,t2,t3,t5]; sds(4,:)=[t4];
 sbs(5,:)=[t2,t3,t4,t5]; sds(5,:)=[t1];


for j=1:12
    clear OR;
    clear SM;
    clear to;
    clear ts;

for i=1:5
    
    

OR=Om(sb(i,:),:); SM=Sm(sbs(i,:),:);
 
to=Om(sd(i,:),:); ts=Sm(sds(i,:),:);



tr_s(1:size(SM,1))=s(j); TR_S=tr_s';

tr_o(1:size(OR,1))=s(j); TR_O=tr_o';


t_s(1:size(ts,1))=s(j); T_S=tr_s';

t_o(1:size(to,1))=s(j); T_O=tr_o';

newv=ssd;
% disp('cvalue number');
% disp(num2str(j));
% disp('crossnumber');
% disp(num2str(i)); 
    w=ranksvm_with_sim(hb,sparse(OR),sparse(SM),TR_O,TR_S);
    [r]= test2rel(w,to,hb);
acc(j,i)=r;

end 
r=0;
end

for i=1:12
    A(i)=sum(acc(i,:));
    
end  



% get the best c value.
[a,b]=max(A);


Om=sparse(Om);
Sm=sparse(Sm);

c_s(1:size(Sm,1))=s(b);
C_S=c_s';
c_o(1:size(Om,1))=s(b);
C_O=c_o';


w=ranksvm_with_sim(hb,Om,Sm,C_O,C_S);
end